Loading...
Searching...
No Matches
QXmppStreamFeatures Class Reference

The QXmppStreamFeatures class represents the features returned by an XMPP server or client. More...

`#include <QXmppStreamFeatures.h>`

Inheritance diagram for QXmppStreamFeatures:
[legend]
Collaboration diagram for QXmppStreamFeatures:
[legend]

## Public Types

enum | Mode { Disabled = 0 , Enabled , Required }
| Mode of a feature.

## Public Member Functions

| QXmppStreamFeatures (const QXmppStreamFeatures &)
| Default copy-constructor.
| QXmppStreamFeatures (QXmppStreamFeatures &&)
| Default move-constructor.
QXmppStreamFeatures & | operator= (const QXmppStreamFeatures &)
| Default assignment operator.
QXmppStreamFeatures & | operator= (QXmppStreamFeatures &&)
| Default move-assignment operator.
Mode | bindMode () const
void | setBindMode (Mode mode)
Mode | sessionMode () const
void | setSessionMode (Mode mode)
Mode | nonSaslAuthMode () const
void | setNonSaslAuthMode (Mode mode)
QStringList | authMechanisms () const
void | setAuthMechanisms (const QStringList &mechanisms)
const std::optional< QXmpp::Private::Sasl2::StreamFeature > & | sasl2Feature () const
void | setSasl2Feature (const std::optional< QXmpp::Private::Sasl2::StreamFeature > &)
QStringList | compressionMethods () const
void | setCompressionMethods (const QStringList &methods)
Mode | tlsMode () const
void | setTlsMode (Mode mode)
Mode | streamManagementMode () const
void | setStreamManagementMode (Mode mode)
Mode | clientStateIndicationMode () const
void | setClientStateIndicationMode (Mode mode)
Mode | registerMode () const
void | setRegisterMode (const Mode &mode)
bool | preApprovedSubscriptionsSupported () const
void | setPreApprovedSubscriptionsSupported (bool)
bool | rosterVersioningSupported () const
void | setRosterVersioningSupported (bool)
Public Member Functions inherited from QXmppNonza
virtual bool | isXmppStanza () const
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Detailed Description

The QXmppStreamFeatures class represents the features returned by an XMPP server or client.

## Member Function Documentation

## authMechanisms()

QStringList QXmppStreamFeatures::authMechanisms | ( |  | ) | const

Returns the available authentication mechanisms

## bindMode()

QXmppStreamFeatures::Mode QXmppStreamFeatures::bindMode | ( |  | ) | const

Returns the resource binding mode

## clientStateIndicationMode()

QXmppStreamFeatures::Mode QXmppStreamFeatures::clientStateIndicationMode | ( |  | ) | const

Returns the mode for XEP-0352: Client State Indication

Since
  QXmpp 1.0

## compressionMethods()

QStringList QXmppStreamFeatures::compressionMethods | ( |  | ) | const

Returns the available compression methods

## nonSaslAuthMode()

QXmppStreamFeatures::Mode QXmppStreamFeatures::nonSaslAuthMode | ( |  | ) | const

Returns Non-SASL Authentication mode

## preApprovedSubscriptionsSupported()

bool QXmppStreamFeatures::preApprovedSubscriptionsSupported | ( |  | ) | const

Returns whether usage of Pre-Approved roster subscriptions is supported.

Since
  QXmpp 1.3

## registerMode()

QXmppStreamFeatures::Mode QXmppStreamFeatures::registerMode | ( |  | ) | const

Returns the mode for XEP-0077: In-Band Registration

Since
  QXmpp 1.1

## rosterVersioningSupported()

bool QXmppStreamFeatures::rosterVersioningSupported | ( |  | ) | const

Returns whether roster versioning from RFC6121 is supported.

Since
  QXmpp 1.3

## sasl2Feature()

const std::optional< Sasl2::StreamFeature > & QXmppStreamFeatures::sasl2Feature | ( |  | ) | const

Returns the XEP-0388: Extensible SASL Profile stream feature.

## sessionMode()

QXmppStreamFeatures::Mode QXmppStreamFeatures::sessionMode | ( |  | ) | const

Returns session mode

## setAuthMechanisms()

void QXmppStreamFeatures::setAuthMechanisms | ( | const QStringList & | mechanisms | ) |

Sets the available authentication mechanisms

## setBindMode()

void QXmppStreamFeatures::setBindMode | ( | QXmppStreamFeatures::Mode | mode | ) |

Sets the resource binding mode

## setClientStateIndicationMode()

void QXmppStreamFeatures::setClientStateIndicationMode | ( | QXmppStreamFeatures::Mode | mode | ) |

Sets the mode for XEP-0352: Client State Indication

Parameters

  mode | The mode to set.

Since
  QXmpp 1.0

## setCompressionMethods()

void QXmppStreamFeatures::setCompressionMethods | ( | const QStringList & | methods | ) |

Sets the available compression methods

## setNonSaslAuthMode()

void QXmppStreamFeatures::setNonSaslAuthMode | ( | QXmppStreamFeatures::Mode | mode | ) |

Sets Non-SASL Authentication mode

## setPreApprovedSubscriptionsSupported()

void QXmppStreamFeatures::setPreApprovedSubscriptionsSupported | ( | bool | supported | ) |

Sets whether usage of Pre-Approved roster subscriptions is supported.

Since
  QXmpp 1.3

## setRegisterMode()

void QXmppStreamFeatures::setRegisterMode | ( | const Mode & | mode | ) |

Sets the mode for XEP-0077: In-Band Registration

Parameters

  mode | The mode to set.

Since
  QXmpp 1.1

## setRosterVersioningSupported()

void QXmppStreamFeatures::setRosterVersioningSupported | ( | bool | supported | ) |

Sets whether roster versioning from RFC6121 is supported.

Since
  QXmpp 1.3

## setSasl2Feature()

void QXmppStreamFeatures::setSasl2Feature | ( | const std::optional< QXmpp::Private::Sasl2::StreamFeature > & |  | ) |

Sets the XEP-0388: Extensible SASL Profile stream feature.

## setSessionMode()

void QXmppStreamFeatures::setSessionMode | ( | Mode | mode | ) |

Sets session mode

## setStreamManagementMode()

void QXmppStreamFeatures::setStreamManagementMode | ( | QXmppStreamFeatures::Mode | mode | ) |

Sets the mode for XEP-0198: Stream Management

Parameters

  mode | The mode to set.

Since
  QXmpp 1.0

## setTlsMode()

void QXmppStreamFeatures::setTlsMode | ( | QXmppStreamFeatures::Mode | mode | ) |

Sets the mode for STARTTLS

## streamManagementMode()

QXmppStreamFeatures::Mode QXmppStreamFeatures::streamManagementMode | ( |  | ) | const

Returns the mode (disabled, enabled or required) for XEP-0198: Stream Management

Since
  QXmpp 1.0

## tlsMode()

QXmppStreamFeatures::Mode QXmppStreamFeatures::tlsMode | ( |  | ) | const

Returns the mode for STARTTLS

The documentation for this class was generated from the following files:

- QXmppStreamFeatures.h
- QXmppStreamFeatures.cpp